## org.eclipse.wst.wsdl.util
Class WSDLConstants

    java.lang.Object
      org.eclipse.wst.wsdl.util.WSDLConstants

    public class WSDLConstants

extends java.lang.Object

This class defines constants for WSDL element tags and relevant namespaces.

Since:
  1.0

Field Summary
`static int` `BINDING` The element tag is `"binding"`.
`static java.lang.String` `BINDING_ATTRIBUTE` The attribute is `"binding"`.
`static java.lang.String` `BINDING_ELEMENT_TAG` The element tag is `"binding"`.
`static int` `DEFINITION` The element tag is `"definitions"`.
`static java.lang.String` `DEFINITION_ELEMENT_TAG` The element tag is `"definitions"`.
`static int` `DOCUMENTATION` The element tag is `"documentation"`.
`static java.lang.String` `DOCUMENTATION_ELEMENT_TAG` The element tag is `"documentation"`.
`static java.lang.String` `ELEMENT_ATTRIBUTE` The attribute is `"element"`.
`static java.lang.String` `ENCODING_ATTRIBUTE` The attribute is `"encoding"`.
`static int` `FAULT` The element tag is `"fault"`.
`static java.lang.String` `FAULT_ELEMENT_TAG` The element tag is `"fault"`.
`static int` `IMPORT` The element tag is `"import"`.
`static java.lang.String` `IMPORT_ELEMENT_TAG` The element tag is `"import"`.
`static int` `INPUT` The element tag is `"input"`.
`static java.lang.String` `INPUT_ELEMENT_TAG` The element tag is `"input"`.
`static java.lang.String` `LOCATION_ATTRIBUTE` The attribute is `"location"`.
`static int` `MESSAGE` The element tag is `"message"`.
`static java.lang.String` `MESSAGE_ATTRIBUTE` The attribute is `"message"`.
`static java.lang.String` `MESSAGE_ELEMENT_TAG` The element tag is `"message"`.
`static java.lang.String` `NAME_ATTRIBUTE` The attribute is `"name"`.
`static java.lang.String` `NAMESPACE_ATTRIBUTE` The attribute is `"namespace"`.
`static int` `OPERATION` The element tag is `"operation"`.
`static java.lang.String` `OPERATION_ELEMENT_TAG` The element tag is `"operation"`.
`static int` `OUTPUT` The element tag is `"output"`.
`static java.lang.String` `OUTPUT_ELEMENT_TAG` The element tag is `"output"`.
`static java.lang.String` `PARAMETER_ORDER_ATTRIBUTE` The attribute is `"parameterOrder"`.
`static int` `PART` The element tag is `"part"`.
`static java.lang.String` `PART_ELEMENT_TAG` The element tag is `"part"`.
`static int` `PORT` The element tag is `"port"`.
`static java.lang.String` `PORT_ELEMENT_TAG` The element tag is `"port"`.
`static int` `PORT_TYPE` The element tag is `"portType"`.
`static java.lang.String` `PORT_TYPE_ELEMENT_TAG` The element tag is `"portType"`.
`static java.lang.String` `RESOURCE_URI_ATTRIBUTE` The attribute is `"resourceURI"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_1999` The value `"http://www.w3.org/1999/XMLSchema"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_2000_10` The value `"http://www.w3.org/2000/10/XMLSchema"`.
`static java.lang.String` `SCHEMA_FOR_SCHEMA_URI_2001` The value `"http://www.w3.org/2001/XMLSchema"`.
`static int` `SERVICE` The element tag is `"service"`.
`static java.lang.String` `SERVICE_ELEMENT_TAG` The element tag is `"service"`.
`static java.lang.String` `TARGETNAMESPACE_ATTRIBUTE` The attribute is `"targetNamespace"`.
`static java.lang.String` `TYPE_ATTRIBUTE` The attribute is `"type"`.
`static int` `TYPES` The element tag is `"types"`.
`static java.lang.String` `TYPES_ELEMENT_TAG` The element tag is `"types"`.
`static java.lang.String` `WSDL_NAMESPACE_URI` The value `"http://schemas.xmlsoap.org/wsdl/"`.
`static java.lang.String` `XSD_NAMESPACE_URI` The value `"http://www.w3.org/2001/XMLSchema"`.

Constructor Summary
`WSDLConstants()`

Method Summary
`static java.lang.String` `getAttribute(org.w3c.dom.Element element, java.lang.String attributeName)` Returns an attribute value given the attributeName in the element.
`static java.lang.String` `getElementTag(int nodeType)` Returns a String name of element tag given the nodeType.
`static boolean` `isMatchingNamespace(java.lang.String namespace1, java.lang.String namespace2)` Returns true if namespace1 equals to namespace2.
`static boolean` `isWSDLNamespace(java.lang.String namespace)` Returns whether the given namespace is the WSDL namespace or not.
`static int` `nodeType(org.w3c.dom.Node node)` Returns a node type defined in WSDLConstants given the DOM node.
`static int` `nodeType(java.lang.String localName)` Returns a node type given the String name of element tag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINDING

    public static final int BINDING

  The element tag is `"binding"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### DEFINITION

    public static final int DEFINITION

  The element tag is `"definitions"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### DOCUMENTATION

    public static final int DOCUMENTATION

  The element tag is `"documentation"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### FAULT

    public static final int FAULT

  The element tag is `"fault"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### IMPORT

    public static final int IMPORT

  The element tag is `"import"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### INPUT

    public static final int INPUT

  The element tag is `"input"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### MESSAGE

    public static final int MESSAGE

  The element tag is `"message"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### OPERATION

    public static final int OPERATION

  The element tag is `"operation"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### OUTPUT

    public static final int OUTPUT

  The element tag is `"output"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### PART

    public static final int PART

  The element tag is `"part"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### PORT

    public static final int PORT

  The element tag is `"port"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### PORT_TYPE

    public static final int PORT_TYPE

  The element tag is `"portType"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### SERVICE

    public static final int SERVICE

  The element tag is `"service"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### TYPES

    public static final int TYPES

  The element tag is `"types"`.

  See Also:
    `getElementTag(int).`, Constant Field Values

### BINDING_ELEMENT_TAG

    public static final java.lang.String BINDING_ELEMENT_TAG

  The element tag is `"binding"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### DEFINITION_ELEMENT_TAG

    public static final java.lang.String DEFINITION_ELEMENT_TAG

  The element tag is `"definitions"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### DOCUMENTATION_ELEMENT_TAG

    public static final java.lang.String DOCUMENTATION_ELEMENT_TAG

  The element tag is `"documentation"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### FAULT_ELEMENT_TAG

    public static final java.lang.String FAULT_ELEMENT_TAG

  The element tag is `"fault"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### IMPORT_ELEMENT_TAG

    public static final java.lang.String IMPORT_ELEMENT_TAG

  The element tag is `"import"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### INPUT_ELEMENT_TAG

    public static final java.lang.String INPUT_ELEMENT_TAG

  The element tag is `"input"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### MESSAGE_ELEMENT_TAG

    public static final java.lang.String MESSAGE_ELEMENT_TAG

  The element tag is `"message"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### OPERATION_ELEMENT_TAG

    public static final java.lang.String OPERATION_ELEMENT_TAG

  The element tag is `"operation"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### OUTPUT_ELEMENT_TAG

    public static final java.lang.String OUTPUT_ELEMENT_TAG

  The element tag is `"output"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### PART_ELEMENT_TAG

    public static final java.lang.String PART_ELEMENT_TAG

  The element tag is `"part"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### PORT_ELEMENT_TAG

    public static final java.lang.String PORT_ELEMENT_TAG

  The element tag is `"port"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### PORT_TYPE_ELEMENT_TAG

    public static final java.lang.String PORT_TYPE_ELEMENT_TAG

  The element tag is `"portType"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### SERVICE_ELEMENT_TAG

    public static final java.lang.String SERVICE_ELEMENT_TAG

  The element tag is `"service"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### TYPES_ELEMENT_TAG

    public static final java.lang.String TYPES_ELEMENT_TAG

  The element tag is `"types"`.

  See Also:
    `nodeType(String localName).`, Constant Field Values

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The attribute is `"name"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### MESSAGE_ATTRIBUTE

    public static final java.lang.String MESSAGE_ATTRIBUTE

  The attribute is `"message"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### BINDING_ATTRIBUTE

    public static final java.lang.String BINDING_ATTRIBUTE

  The attribute is `"binding"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### TYPE_ATTRIBUTE

    public static final java.lang.String TYPE_ATTRIBUTE

  The attribute is `"type"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### ENCODING_ATTRIBUTE

    public static final java.lang.String ENCODING_ATTRIBUTE

  The attribute is `"encoding"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### TARGETNAMESPACE_ATTRIBUTE

    public static final java.lang.String TARGETNAMESPACE_ATTRIBUTE

  The attribute is `"targetNamespace"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### RESOURCE_URI_ATTRIBUTE

    public static final java.lang.String RESOURCE_URI_ATTRIBUTE

  The attribute is `"resourceURI"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### ELEMENT_ATTRIBUTE

    public static final java.lang.String ELEMENT_ATTRIBUTE

  The attribute is `"element"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### LOCATION_ATTRIBUTE

    public static final java.lang.String LOCATION_ATTRIBUTE

  The attribute is `"location"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### PARAMETER_ORDER_ATTRIBUTE

    public static final java.lang.String PARAMETER_ORDER_ATTRIBUTE

  The attribute is `"parameterOrder"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### NAMESPACE_ATTRIBUTE

    public static final java.lang.String NAMESPACE_ATTRIBUTE

  The attribute is `"namespace"`.

  See Also:
    `getAttribute(Element,String).`, Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

  The value `"http://schemas.xmlsoap.org/wsdl/"`.

  See Also:
    Constant Field Values

### XSD_NAMESPACE_URI

    public static final java.lang.String XSD_NAMESPACE_URI

  The value `"http://www.w3.org/2001/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_1999

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_1999

  The value `"http://www.w3.org/1999/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_2000_10

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_2000_10

  The value `"http://www.w3.org/2000/10/XMLSchema"`.

  See Also:
    Constant Field Values

### SCHEMA_FOR_SCHEMA_URI_2001

    public static final java.lang.String SCHEMA_FOR_SCHEMA_URI_2001

  The value `"http://www.w3.org/2001/XMLSchema"`.

  See Also:
    Constant Field Values

Constructor Detail

### WSDLConstants

    public WSDLConstants()

Method Detail

### getElementTag

    public static final java.lang.String getElementTag(int nodeType)

  Returns a String name of element tag given the nodeType.

  Parameters:
    `nodeType` - a constant defined in WSDLConstants.
  Returns:
    element tag.

### nodeType

    public static final int nodeType(java.lang.String localName)

  Returns a node type given the String name of element tag.

  Parameters:
    `localName` - the local name of element tag.
  Returns:
    a node type defined in WSDLConstants.

### nodeType

    public static final int nodeType(org.w3c.dom.Node node)

  Returns a node type defined in WSDLConstants given the DOM node.

  Parameters:
    `node` - a DOM node.
  Returns:
    a node type defined in WSDLConstants.

### isWSDLNamespace

    public static boolean isWSDLNamespace(java.lang.String namespace)

  Returns whether the given namespace is the WSDL namespace or not.

  Parameters:
    `namespace` - a namespace.
  Returns:
    whether the given namespace is the WSDL namespace or not.

### isMatchingNamespace

    public static boolean isMatchingNamespace(java.lang.String namespace1,
                                              java.lang.String namespace2)

  Returns true if namespace1 equals to namespace2.

  Parameters:
    `namespace1` - a namespace.
    `namespace2` - a namespace.
  Returns:
    true if namespace1 equals to namespace2.

### getAttribute

    public static java.lang.String getAttribute(org.w3c.dom.Element element,
                                                java.lang.String attributeName)

  Returns an attribute value given the attributeName in the element.

  Parameters:
    `element` - a DOM element to search for the attribute from.
    `attributeName` - an attribute to find from the element.
  Returns:
    an attribute value.